module.exports = mongoose => {

  const Ad = mongoose.model(
    "ad",
    mongoose.Schema(
      {
      titre : String,
      slug:String,
      type : String,
      statusPublication : String,
      statusBien : String,
      description:String,
      prix : Number,
      date : Date,
      images : [String]
        
      })
  );

  //validation 

  return Ad;
};